> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/ios/driving-insights/sentsafetyscores.md).

# SENTSafetyScores

```objectivec
@interface SENTSafetyScores : NSObject
```

## SENTSafetyScores API

### `attentionScore`

> The attention score floating point value, which is between 0 and 1, where 1 is the perfect score.
>
> ```swift
> var attentionScore: Float?
> ```

### `callWhileMovingScore`

> The call while moving score floating point value, which is between 0 and 1, where 1 is the perfect score.
>
> ```swift
> var callWhileMovingScore: Float?
> ```

### `focusScore`

> The focused driving score, which is between 0 and 1, where 1 is the perfect score.
>
> ```swift
> var focusScore: Float?
> ```

### `legalScore`

> The legal driving (speeding) score floating point value, which is between 0 and 1, where 1 is the perfect score.
>
> ```swift
> var legalScore: Float?
> ```

### `overallScore`

> The overall driving score floating point value, which is between 0 and 1, where 1 is the perfect score. This score is computed using the other safety scores.
>
> ```swift
> var wrongWayDrivingScore: Float?
> ```

### `smoothScore`

> The smooth driving score, which is between 0 and 1, where 1 is the perfect score.
>
> ```swift
> var smoothScore: Float?
> ```

### `wrongWayDrivingScore`

> The wrong way driving score, between 0 and 1, where 1 is the perfect score.
>
> ```swift
> var wrongWayDrivingScore: Float?
> ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/driving-insights/sentsafetyscores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
